@import '{}/imports/ui/stylesheets/variables/index';

.course-edit-body {
	@include media-breakpoint-up(sm) {
		border-color: $course-border-color;
		border-style: solid;
		background-color: #e1e1e1;
	}

	&.is-frame {
		margin-top: 0;

		@include media-breakpoint-down(sm) {
			padding: 10px;
		}
	}
}

.course-edit-body .dropdown {
	position: relative;
}

.proposed-courses {
	border: 1px solid $primary;
	max-height: 200px;
	overflow: auto;
	width: 100%;
}

.proposed-courses > .dropdown-header {
	margin-top: 8.5px;
	text-align: start;
}

.proposed-courses > .dropdown-header > {
	.fa-regular,
	.fa-brands,
	.fa-solid {
		color: $blue;
		font-size: 1.5rem;
		margin-right: 7px;
	}
}

.proposed-courses > .close-dropdown-button {
	left: 50%;
	margin-bottom: 8px;
	margin-top: 8px;
	position: relative;
	transform: translateX(-50%);
}

.course-edit-body  {
	.form-label {
		font-size: x-large;
		font-weight: bolder;
	}

	.form-control {
		border: none;
		background-color: $white;
	}

	.form-control:focus {
		box-shadow: 0 0 0 0.25rem #808080;
	}

	.btn {
		color: $white;
		font-weight: bolder;
		border: none;
	}

	.btn-save {
		background-color: #acaaaa;
		&:hover {
			background-color: $green;
		}
	}

	.btn-cancel {
		background-color: #a8162b;
		&:hover {
			background-color: lighten(#a8162b, 10%);
		}
	}
}
